StableOps
API 參考

查詢付款訂單

按標識查詢 StableOps 付款訂單,讀取目前狀態、付款指令及狀態變化時間線,在回呼遲到或異常時核對付款結果。商戶應在伺服器端保管金鑰,按介面要求使用穩定冪等鍵,並以查詢結果和驗籤後的事件核對狀態。生產履約建議等待最終確認,不能僅憑頁面跳轉認定支付成功。

GET/v1/payment-orders/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Payment order id.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/payment-orders/{id}"
{
  "id": "string",
  "merchant_order_id": "string",
  "amount": "string",
  "requested_amount": "string",
  "chain_amount": "string",
  "settlement_asset": "USDC",
  "status": "created",
  "expires_at": "2019-08-24T14:15:22Z",
  "metadata": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "accepted_assets": [
    {
      "chain": "ethereum",
      "asset": "USDC"
    }
  ],
  "payment_instructions": [
    {
      "chain": "ethereum",
      "asset": "USDC",
      "address": "string"
    }
  ],
  "timeline": [
    {
      "from": "created",
      "to": "created",
      "reason": "string",
      "at": "2019-08-24T14:15:22Z"
    }
  ],
  "possible_mismatched_events": [
    {
      "id": "string",
      "chain": "ethereum",
      "asset": "USDC",
      "from_address": "string",
      "to_address": "string",
      "amount": "string",
      "tx_hash": "string",
      "log_index": -9007199254740991,
      "block_number": "string",
      "payment_order_id": null,
      "payment_attempt": null,
      "confirmations": 0,
      "detected_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新